graphics2d
Device proxies

The graphics2d proxy provides an interface to the graphics2d. More...

## Classes

struct | playerc_graphics2d_t
| Graphics2d device data. More...

## Functions

PLAYERC_EXPORT playerc_graphics2d_t * | playerc_graphics2d_create (playerc_client_t *client, int index)
| Create a graphics2d device proxy. More...
PLAYERC_EXPORT void | playerc_graphics2d_destroy (playerc_graphics2d_t *device)
| Destroy a graphics2d device proxy. More...
PLAYERC_EXPORT int | playerc_graphics2d_subscribe (playerc_graphics2d_t *device, int access)
| Subscribe to the graphics2d device.
PLAYERC_EXPORT int | playerc_graphics2d_unsubscribe (playerc_graphics2d_t *device)
| Un-subscribe from the graphics2d device.
PLAYERC_EXPORT int | playerc_graphics2d_setcolor (playerc_graphics2d_t *device, player_color_t col)
| Set the current drawing color.
PLAYERC_EXPORT int | playerc_graphics2d_draw_points (playerc_graphics2d_t *device, player_point_2d_t pts[], int count)
| Draw some points.
PLAYERC_EXPORT int | playerc_graphics2d_draw_polyline (playerc_graphics2d_t *device, player_point_2d_t pts[], int count)
| Draw a polyline that connects an array of points.
PLAYERC_EXPORT int | playerc_graphics2d_draw_polygon (playerc_graphics2d_t *device, player_point_2d_t pts[], int count, int filled, player_color_t fill_color)
| Draw a polygon.
PLAYERC_EXPORT int | playerc_graphics2d_clear (playerc_graphics2d_t *device)
| Clear the canvas.

## Detailed Description

The graphics2d proxy provides an interface to the graphics2d.

## Function Documentation

PLAYERC_EXPORT playerc_graphics2d_t* playerc_graphics2d_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a graphics2d device proxy.

PLAYERC_EXPORT void playerc_graphics2d_destroy | ( | playerc_graphics2d_t * | device | ) |

Destroy a graphics2d device proxy.

Last updated 12 September 2005 21:38:45